/// <reference types="node" />
import { utils } from "bsv-minimal";
export type NetAddress = {
    services: Buffer;
    ip: Buffer;
    port: number;
    time?: number;
    ipv4?: string;
    ipv6?: string;
};
declare function read(payload: Buffer | utils.BufferReader, versionMessage?: boolean): NetAddress;
declare function readAddr(payload: Buffer): NetAddress[];
export interface MessageAddress {
    services: Buffer;
    ip?: Buffer;
    ipv4?: string;
    ipv6?: string;
    port: number;
    time?: number;
    bw?: utils.BufferWriter;
}
declare function write({ time, services, ip, ipv4, ipv6, port, bw }: MessageAddress): Buffer;
declare const Address: {
    read: typeof read;
    readAddr: typeof readAddr;
    write: typeof write;
};
export default Address;
//# sourceMappingURL=address.d.ts.map