/// <reference types="node" />
import { utils } from "bsv-minimal";
import { MessageAddress } from "./address";
declare function read(payload: Buffer | utils.BufferReader): {
    version: number;
    services: Buffer;
    timestamp: number;
    addr_recv: import("./address").NetAddress;
    addr_from: import("./address").NetAddress;
    nonce: Buffer;
    user_agent: string;
    start_height: number;
    relay: number;
    segwit: boolean;
};
export type VersionOptions = {
    user_agent?: string;
    timestamp?: number;
    version?: number;
    services?: Buffer;
    addr_recv?: MessageAddress;
    addr_from?: MessageAddress;
    nonce?: Buffer;
    start_height?: number;
    relay?: number;
    segwit?: boolean;
};
export interface WriteVersionOptions {
    ticker: string;
    user_agent?: string;
    start_height?: number;
    mempoolTxs: boolean;
    version: number;
    segwit?: boolean;
    options?: VersionOptions;
}
declare function write({ ticker, user_agent: userAgent, start_height: startHeight, mempoolTxs, version: versionParam, segwit, options, }: WriteVersionOptions): Buffer;
declare const Version: {
    read: typeof read;
    write: typeof write;
};
export default Version;
//# sourceMappingURL=version.d.ts.map